Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Removed dependency on UUID gem. Updated json and extlib dependency ve…

…rsions.
  • Loading branch information...
commit eccccdce51dc14304c07ed07d985edccbd321737 1 parent f38dfd7
@paulcarey authored
Showing with 4 additions and 7 deletions.
  1. +2 −3 Rakefile
  2. +0 −1  lib/relaxdb.rb
  3. +2 −3 relaxdb.gemspec
View
5 Rakefile
@@ -22,9 +22,8 @@ spec = Gem::Specification.new do |s|
s.email = EMAIL
s.homepage = HOMEPAGE
- s.add_dependency "extlib", ">=0.9.4"
- s.add_dependency "json"
- s.add_dependency "uuid"
+ s.add_dependency "extlib", "~> 0.9.4"
+ s.add_dependency "json", "~> 1.4"
s.require_path = 'lib'
s.autorequire = PLUGIN
View
1  lib/relaxdb.rb
@@ -1,7 +1,6 @@
require 'rubygems'
require 'extlib'
require 'json'
-require 'uuid'
require 'cgi'
require 'net/http'
View
5 relaxdb.gemspec
@@ -61,8 +61,7 @@ Gem::Specification.new do |s|
"spec/view_object_spec.rb"]
s.bindir = "bin"
s.autorequire = "relaxdb"
- s.add_dependency "extlib", ">= 0.9.4" # removed ", runtime" as was failing locally
- s.add_dependency "json", ">= 0" # removed ", runtime" as was failing locally
- s.add_dependency "uuid", ">= 0" # removed ", runtime" as was failing locally
+ s.add_dependency "extlib", "~> 0.9.4"
+ s.add_dependency "json", "~> 1.4"
s.require_paths = ["lib"]
end
Please sign in to comment.
Something went wrong with that request. Please try again.